import request from '@/utils/request'

// 查询月销售目标合并列表
export function listMonthGoalMerge(query) {
  return request({
    url: '/goal_management/monthGoalMerge/list',
    method: 'get',
    params: query
  })
}

// 查询月销售目标合并详细
export function getMonthGoalMerge(id) {
  return request({
    url: '/goal_management/monthGoalMerge/' + id,
    method: 'get'
  })
}

// 新增月销售目标合并
export function addMonthGoalMerge(data) {
  return request({
    url: '/goal_management/monthGoalMerge',
    method: 'post',
    data: data
  })
}

// 修改月销售目标合并
export function updateMonthGoalMerge(data) {
  return request({
    url: '/goal_management/monthGoalMerge',
    method: 'put',
    data: data
  })
}

// 删除月销售目标合并
export function delMonthGoalMerge(id) {
  return request({
    url: '/goal_management/monthGoalMerge/' + id,
    method: 'delete'
  })
}
